ProviderSchedulesResponse
Response schema for a list of provider schedules
data object[]required
List of provider schedules
When the service was created.
The start date of the schedule.
The end date of the schedule.
Unique identifier for the object.
Possible values: Value must match regular expression ^psch_\w{12}$
String representing the object's type.
Possible values: [provider_schedule]
public_bookings objectrequired
Public booking settings for the schedule.
Whether public bookings are enabled for the schedule.
The IANA time zone the schedule's weekly rules are authored in.
When the schedule was last updated.
weekly_rules object[]required
Weekly rules for the schedule.
The day of the week.
Possible values: [mo, tu, we, th, fr, sa, su]
The end time of the rule.
Possible values: Value must match regular expression ^(?:[01]\d|2[0-3]):[0-5]\d$
The start time of the rule.
Possible values: Value must match regular expression ^(?:[01]\d|2[0-3]):[0-5]\d$
meta objectrequired
Metadata for paginated responses
Current page number
Number of records per page
Total number of records
Total number of pages
{
"data": [
{
"created_at": "2025-02-17T17:49:19Z",
"effective_from": "2025-01-01",
"effective_to": "2025-12-31",
"id": "psch_d025a96ac0c6",
"object": "provider_schedule",
"public_bookings": {
"enabled": true
},
"time_zone": "America/New_York",
"updated_at": "2025-02-17T17:49:19Z",
"weekly_rules": [
{
"day": "mo",
"end_time": "17:00",
"start_time": "09:00"
}
]
}
],
"meta": {
"current_page": 1,
"page_size": 10,
"total_count": 50,
"total_pages": 5
}
}